[Solved] 0.3.4 Unable to start on Raspbian

qDslrDashbord error reports
Bertsz
Posts: 9
Joined: 16 Jan 2016, 20:03

[Solved] 0.3.4 Unable to start on Raspbian

Post by Bertsz » 16 Jan 2016, 20:20

I really wanted to avoid making a forum post about this, since most of the problems resolve after a bit of google-research But that didn't really do the job, so I'm hoping for some help here.
As the title already implies, I can't run qDslrDashboard on my RPi 2b. This is the error I'm getting when trying to start the qDslrDashboard.sh file:

Code: Select all

/home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2# /home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./qDslrDashboard: /lib/arm-linux-gnueabihf/libudev.so.1: no version information available (required by /home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/libusb-1.0.so.0)
/home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./qDslrDashboard: /lib/arm-linux-gnueabihf/libc.so.6: version `GLIBC_2.17' not found (required by /home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/libusb-1.0.so.0)
/home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./qDslrDashboard: /usr/lib/arm-linux-gnueabihf/libgomp.so.1: version `GOMP_4.0' not found (required by /home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/libraw.so.15)
/home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./qDslrDashboard: /lib/arm-linux-gnueabihf/libudev.so.1: no version information available (required by /home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/libQt5SerialPort.so.5)
Before I made a link to /lib/arm-linux-gnueabihf/libudev.so.0.13.0 with the name libudev.so.1, I got this error:

Code: Select all

 /home/pi/Desktop/dslr/qDslrDashboard_V0.3.4_RPI2/./qDslrDashboard: error while loading shared libraries: libudev.so.1: cannot open shared object file: No such file or directory
Both the libc.so.6 and libgomp.so.1 are there, so I suspect it's some kind of version issue.
This is the uname -a output, just in case:

Code: Select all

Linux raspberrypi 4.1.13-v7+ #826 SMP PREEMPT Fri Nov 13 20:19:03 GMT 2015 armv7l GNU/Linux
Older versions of qDslrdashboard worked (I don't remember the exact version), but they don't seem to be available anymore.
Anyways, hope someone can help me with my little problem, thanks in advance!
Last edited by Bertsz on 20 Jan 2016, 17:57, edited 1 time in total.

Bertsz
Posts: 9
Joined: 16 Jan 2016, 20:03

Re: 0.3.4 Unable to start on Raspbian

Post by Bertsz » 20 Jan 2016, 17:56

Eventhough it seems like I'm alone with this error, I'll still share my solution to this. Maybe this can save someone from the trouble I had to get this going :D.

So the main problem was the outdated version glibc (it even says so in the error message), but this isn't easy to fix by yourself. I tried compiling it from source and installing it, which caused my system to throw segmentation fault errors at me for almost every command. So I had to install a new image anyways. Raspbian jessie has a newer version of glibc already installed. To check the version just enter "ldd --version".

Next thing to do is to make sure qDslrdashboard finds all the files it needs. To check what is missing type "ldd qDslrdashboard" in the directory of the programm. This shows all the required files and which if them are missing. Once all the errors are fixed (e.g by linking the files), I did the same for the
"/Qt_Libraries/plugins/platforms/libqeglfs.so" file, since it was also causing problems.

miTim
Posts: 2
Joined: 16 Jan 2016, 22:12

Re: [Solved] 0.3.4 Unable to start on Raspbian

Post by miTim » 24 Jan 2016, 17:24

Well Bertsz you aren't alone with the problem.
I coludn't start on raspbian either.

Would you explain your way of solving the prob for a raspbian noob like me? I stuck at "ldd qDslrdashboard". I moved with cd into the downloaded an unzipped qDslrdashboard folder but got the reply "no such directory found".

Is it possible to post the commands to copy and paste? ;)

Bertsz
Posts: 9
Joined: 16 Jan 2016, 20:03

Re: [Solved] 0.3.4 Unable to start on Raspbian

Post by Bertsz » 25 Jan 2016, 13:00

Now I don't exactly understand which command gives you the "no such directory" error, but I assume it's cd. So make sure you are actually in the right folder. In your case cd /home/pi/Downloads/qDslrDashboard_V0.3.4_RPI2/ should get you into the folder of the application. Now the "ldd qDslrdashboard" command will tell you whether there are any shared libraries missing. If that's the case you will see something like not found/missing for each of the missing dependencies. And that's where the fun begins. I can't really post any commands for this, because I don't know what is missing, but you will have to fix all these errors one by one.
You can however try these commands and paste the results here:

Code: Select all

cd /home/pi/Downloads/qDslrDashboard_V0.3.4_RPI2/			#enter the directory you unpacked it to, could be different
chmod a+x qDslrdashboard && chmod a+x qDslrDashboard.sh	#to make sure you can actually execute these files
./qDslrDashboard.sh													#to run the programm, this will most likely give you an error, you should post it here

#Also post the output of these
ldd qDslrdashboard
ldd Qt_Libraries/plugins/platforms/libqeglfs.so

miTim
Posts: 2
Joined: 16 Jan 2016, 22:12

Re: [Solved] 0.3.4 Unable to start on Raspbian

Post by miTim » 25 Jan 2016, 17:06

OK, at first I found the small error: Caused by a D "qDslrDashboard" and not "qDslrdashboard" tricky but easy to solve. :)

So let's start with the fun:
./qDslrDashboard.sh

Code: Select all

pi@raspberrypi:~/Downloads/qDslrDashboard_V0.3.4_RPI2 $ This application failed to start because it could not find or load the Qt platform plugin "eglfs".

Available platform plugins are: eglfs (from /home/pi/Downloads/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), linuxfb (from /home/pi/Downloads/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), minimal (from /home/pi/Downloads/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), minimalegl (from /home/pi/Downloads/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), offscreen (from /home/pi/Downloads/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), linuxfb, minimal, minimalegl, offscreen.

Reinstalling the application may fix this problem.
ldd qDslrdashboard

Code: Select all

pi@raspberrypi:~/Downloads/qDslrDashboard_V0.3.4_RPI2 $ ldd qDslrDashboard linux-vdso.so.1 (0x7edcc000)
	/usr/lib/arm-linux-gnueabihf/libarmmem.so (0x76f7b000)
	libusb-1.0.so.0 => /lib/arm-linux-gnueabihf/libusb-1.0.so.0 (0x76f4d000)
	libraw.so.15 => not found
	libexiv2.so.14 => not found
	libopencv_features2d.so.3.0 => not found
	libopencv_highgui.so.3.0 => not found
	libopencv_flann.so.3.0 => not found
	libopencv_imgcodecs.so.3.0 => not found
	libopencv_imgproc.so.3.0 => not found
	libopencv_videoio.so.3.0 => not found
	libopencv_core.so.3.0 => not found
	libQt5Quick.so.5 => not found
	libQt5Multimedia.so.5 => not found
	libQt5Gui.so.5 => not found
	libQt5Qml.so.5 => not found
	libQt5Network.so.5 => not found
	libQt5Xml.so.5 => not found
	libQt5Bluetooth.so.5 => not found
	libQt5SerialPort.so.5 => not found
	libQt5Core.so.5 => not found
	libGLESv2.so => /opt/vc/lib/libGLESv2.so (0x76f2d000)
	libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0x76f04000)
	libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0x76e28000)
	libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0x76dfb000)
	libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0x76cbe000)
	libudev.so.1 => /lib/arm-linux-gnueabihf/libudev.so.1 (0x76ca1000)
	/lib/ld-linux-armhf.so.3 (0x54b2d000)
	libEGL.so => /opt/vc/lib/libEGL.so (0x76c77000)
	libbcm_host.so => /opt/vc/lib/libbcm_host.so (0x76c59000)
	libvchiq_arm.so => /opt/vc/lib/libvchiq_arm.so (0x76c4b000)
	libvcos.so => /opt/vc/lib/libvcos.so (0x76c39000)
	libdl.so.2 => /lib/arm-linux-gnueabihf/libdl.so.2 (0x76c26000)
	librt.so.1 => /lib/arm-linux-gnueabihf/librt.so.1 (0x76c0e000)
	libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0x76b93000)
ldd Qt_Libraries/plugins/platforms/libqeglfs.so

Code: Select all

pi@raspberrypi:~/Downloads/qDslrDashboard_V0.3.4_RPI2 $ ldd Qt_Libraries/plugins/platforms/libqeglfs.so
	linux-vdso.so.1 (0x7efcb000)
	/usr/lib/arm-linux-gnueabihf/libarmmem.so (0x76fb9000)
	libQt5EglDeviceIntegration.so.5 => not found
	libdl.so.2 => /lib/arm-linux-gnueabihf/libdl.so.2 (0x76f94000)
	libts-0.0.so.0 => not found
	libfontconfig.so.1 => /usr/lib/arm-linux-gnueabihf/libfontconfig.so.1 (0x76f62000)
	libfreetype.so.6 => /usr/lib/arm-linux-gnueabihf/libfreetype.so.6 (0x76eca000)
	libQt5DBus.so.5 => not found
	libgthread-2.0.so.0 => /usr/lib/arm-linux-gnueabihf/libgthread-2.0.so.0 (0x76eb7000)
	libglib-2.0.so.0 => /lib/arm-linux-gnueabihf/libglib-2.0.so.0 (0x76db4000)
	libinput.so.5 => not found
	libudev.so.1 => /lib/arm-linux-gnueabihf/libudev.so.1 (0x76d97000)
	libEGL.so => /opt/vc/lib/libEGL.so (0x76d6d000)
	libQt5Gui.so.5 => not found
	libQt5Core.so.5 => not found
	libGLESv2.so => /opt/vc/lib/libGLESv2.so (0x76d50000)
	libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0x76d28000)
	libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0x76c4b000)
	libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0x76bd0000)
	libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0x76ba3000)
	libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0x76a66000)
	/lib/ld-linux-armhf.so.3 (0x54b26000)
	libexpat.so.1 => /lib/arm-linux-gnueabihf/libexpat.so.1 (0x76a34000)
	libz.so.1 => /lib/arm-linux-gnueabihf/libz.so.1 (0x76a0c000)
	libpng12.so.0 => /lib/arm-linux-gnueabihf/libpng12.so.0 (0x769dc000)
	libpcre.so.3 => /lib/arm-linux-gnueabihf/libpcre.so.3 (0x76969000)
	librt.so.1 => /lib/arm-linux-gnueabihf/librt.so.1 (0x76952000)
	libbcm_host.so => /opt/vc/lib/libbcm_host.so (0x76934000)
	libvchiq_arm.so => /opt/vc/lib/libvchiq_arm.so (0x76925000)
	libvcos.so => /opt/vc/lib/libvcos.so (0x76913000)

SdP
Posts: 15
Joined: 27 Jan 2016, 08:43

Re: [Solved] 0.3.4 Unable to start on Raspbian

Post by SdP » 27 Jan 2016, 09:41

It is not working for me.
Same message from fresh install Raspian Jessie

SdP
Posts: 15
Joined: 27 Jan 2016, 08:43

Re: [Solved] 0.3.4 Unable to start on Raspbian

Post by SdP » 27 Jan 2016, 10:34

ldd qDslrDashboard
pi@raspberrypi:~/qDslrDashboard_V0.3.4_RPI2 $ ldd qDslrDashboard
linux-vdso.so.1 (0x7efdb000)
/usr/lib/arm-linux-gnueabihf/libarmmem.so (0x76ef1000)
libusb-1.0.so.0 => /lib/arm-linux-gnueabihf/libusb-1.0.so.0 (0x76ec3000)
libraw.so.15 => not found
libexiv2.so.14 => not found
libopencv_features2d.so.3.0 => not found
libopencv_highgui.so.3.0 => not found
libopencv_flann.so.3.0 => not found
libopencv_imgcodecs.so.3.0 => not found
libopencv_imgproc.so.3.0 => not found
libopencv_videoio.so.3.0 => not found
libopencv_core.so.3.0 => not found
libQt5Quick.so.5 => not found
libQt5Multimedia.so.5 => not found
libQt5Gui.so.5 => not found
libQt5Qml.so.5 => not found
libQt5Network.so.5 => not found
libQt5Xml.so.5 => not found
libQt5Bluetooth.so.5 => not found
libQt5SerialPort.so.5 => not found
libQt5Core.so.5 => not found
libGLESv2.so => /opt/vc/lib/libGLESv2.so (0x76ea3000)
libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0x76e7a000)
libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0x76d9e000)
libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0x76d71000)
libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0x76c30000)
libudev.so.1 => /lib/arm-linux-gnueabihf/libudev.so.1 (0x76c13000)
/lib/ld-linux-armhf.so.3 (0x54b04000)
libEGL.so => /opt/vc/lib/libEGL.so (0x76be9000)
libbcm_host.so => /opt/vc/lib/libbcm_host.so (0x76bcb000)
libvchiq_arm.so => /opt/vc/lib/libvchiq_arm.so (0x76bbd000)
libvcos.so => /opt/vc/lib/libvcos.so (0x76bab000)
libdl.so.2 => /lib/arm-linux-gnueabihf/libdl.so.2 (0x76b98000)
librt.so.1 => /lib/arm-linux-gnueabihf/librt.so.1 (0x76b80000)
libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0x76b05000)
ldd Qt_Libraries/plugins/platforms/libqeglfs.so
pi@raspberrypi:~/qDslrDashboard_V0.3.4_RPI2 $ ldd Qt_Libraries/plugins/platforms/libqeglfs.so
linux-vdso.so.1 (0x7eff9000)
/usr/lib/arm-linux-gnueabihf/libarmmem.so (0x76f70000)
libQt5EglDeviceIntegration.so.5 => not found
libdl.so.2 => /lib/arm-linux-gnueabihf/libdl.so.2 (0x76f4b000)
libts-0.0.so.0 => not found
libfontconfig.so.1 => /usr/lib/arm-linux-gnueabihf/libfontconfig.so.1 (0x76f19000)
libfreetype.so.6 => /usr/lib/arm-linux-gnueabihf/libfreetype.so.6 (0x76e81000)
libQt5DBus.so.5 => not found
libgthread-2.0.so.0 => /usr/lib/arm-linux-gnueabihf/libgthread-2.0.so.0 (0x76e6e000)
libglib-2.0.so.0 => /lib/arm-linux-gnueabihf/libglib-2.0.so.0 (0x76d6b000)
libinput.so.5 => not found
libudev.so.1 => /lib/arm-linux-gnueabihf/libudev.so.1 (0x76d4e000)
libEGL.so => /opt/vc/lib/libEGL.so (0x76d24000)
libQt5Gui.so.5 => not found
libQt5Core.so.5 => not found
libGLESv2.so => /opt/vc/lib/libGLESv2.so (0x76d07000)
libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0x76cdf000)
libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0x76c02000)
libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0x76b87000)
libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0x76b5a000)
libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0x76a19000)
/lib/ld-linux-armhf.so.3 (0x54afa000)
libexpat.so.1 => /lib/arm-linux-gnueabihf/libexpat.so.1 (0x769e7000)
libz.so.1 => /lib/arm-linux-gnueabihf/libz.so.1 (0x769bf000)
libpng12.so.0 => /lib/arm-linux-gnueabihf/libpng12.so.0 (0x7698f000)
libpcre.so.3 => /lib/arm-linux-gnueabihf/libpcre.so.3 (0x7691c000)
librt.so.1 => /lib/arm-linux-gnueabihf/librt.so.1 (0x76905000)
libbcm_host.so => /opt/vc/lib/libbcm_host.so (0x768e7000)
libvchiq_arm.so => /opt/vc/lib/libvchiq_arm.so (0x768d8000)
libvcos.so => /opt/vc/lib/libvcos.so (0x768c6000)

Bertsz
Posts: 9
Joined: 16 Jan 2016, 20:03

Re: [Solved] 0.3.4 Unable to start on Raspbian

Post by Bertsz » 27 Jan 2016, 16:38

This is the exact same error I got, and as I said before this is caused by the missing shared libraries. Now they're not really missing, but the application is looking in the /usr/lib/arm-linux-gnueabihf/ folder, while the reqiered files are actually in the Qt_Libraries folder, which is where you unpacked qDslrdashboard.

I only know two ways two fix this, and I haven't tried the second one. So this is how I did it:
So for each missing *.so, I made a link to the /usr/lib/arm-linux-gnueabihf/.
An example:
This is the first missing file, according to the output of ldd qDslrDashboard: libraw.so.15 => not found
Go in your qDslrDashboard_V0.3.4_RPI2/Qt_Libraries/ folder and look for that file, there are multiple ones.
For this file there's a libraw.so, a libraw.so.15 and a libraw.so.15.0.0 file. This might be a bit confusing, one of them is the real file and the other are links to the real one. You will have to find out which of them is the real one and copy its name (the links are have a link icon when you open them in the file browser).
Make sure you are in the Qt_Libraries/ directory and run the command

Code: Select all

sudo ln libraw.so.15.0.0 /usr/lib/arm-linux-gnueabihf/libraw.so.15
This will create a link for the libraw.so.15.0.0 file to the folder /usr/lib/arm-linux-gnueabihf/, which is named libraw.so.15, because that's what the qDslrdashboard is looking for, according to the ldd output.
Now you will have to repeat this for every missing file, which is really tideous, but I don't know if this other option will work.

The second option basically just involves copying all the files from Qt_Libraries/ to /usr/lib/arm-linux-gnueabihf/
using this command:

Code: Select all

sudo cp /home/pi/Downloads/qDslrDashboard_V0.3.4_RPI2/Qt_Libraries/* /usr/lib/arm-linux-gnueabihf/
I don't think this should cause any problems, but you're still messing with shared libraries, so you better go backup your sd-card, if you don't feel like putting a fresh Raspian install on it, when it actually causes problems :D

SdP
Posts: 15
Joined: 27 Jan 2016, 08:43

Re: [Solved] 0.3.4 Unable to start on Raspbian

Post by SdP » 27 Jan 2016, 18:23

Thank you for your clear and fast answer!
As soon as my babies go to sleep I'll try the fix and I'll let you know!

regards
SdP

SdP
Posts: 15
Joined: 27 Jan 2016, 08:43

Re: [Solved] 0.3.4 Unable to start on Raspbian

Post by SdP » 27 Jan 2016, 19:27

Just in case...
cd qDslrDashboard_V0.3.4_RPI2
cd Qt_Libraries/
sudo ln libraw.so.15.0.0 /usr/lib/arm-linux-gnueabihf/libraw.so.15
sudo ln libexiv2.so.14.0.0 /usr/lib/arm-linux-gnueabihf/libexiv2.so.14
sudo ln libopencv_features2d.so.3.0.0 /usr/lib/arm-linux-gnueabihf/libopencv_features2d.so.3.0
sudo ln libopencv_highgui.so.3.0.0 /usr/lib/arm-linux-gnueabihf/libopencv_highgui.so.3.0
sudo ln libopencv_core.so.3.0.0 /usr/lib/arm-linux-gnueabihf/libopencv_core.so.3.0
sudo ln libopencv_flann.so.3.0.0 /usr/lib/arm-linux-gnueabihf/libopencv_flann.so.3.0
sudo ln libopencv_imgproc.so.3.0.0 /usr/lib/arm-linux-gnueabihf/libopencv_imgproc.so.3.0
sudo ln libopencv_ml.so.3.0.0 /usr/lib/arm-linux-gnueabihf/libopencv_ml.so.3.0
sudo ln libopencv_imgcodecs.so.3.0.0 /usr/lib/arm-linux-gnueabihf/libopencv_imgcodecs.so.3.0
sudo ln libopencv_videoio.so.3.0.0 /usr/lib/arm-linux-gnueabihf/libopencv_videoio.so.3.0
sudo ln libQt5Quick.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Quick.so.5
sudo ln libQt5Multimedia.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Multimedia.so.5
sudo ln libQt5Gui.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Gui.so.5
sudo ln libQt5Qml.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Qml.so.5
sudo ln libQt5Network.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Network.so.5
sudo ln libQt5Core.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Core.so.5
sudo ln libQt5Xml.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Xml.so.5
sudo ln libQt5Bluetooth.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Bluetooth.so.5
sudo ln libQt5SerialPort.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5SerialPort.so.5
sudo ln libQt5Concurrent.so.5.5.1 /usr/lib/arm-linux-gnueabihf/libQt5Concurrent.so.5
BUT :oops:
pi@raspberrypi:~/qDslrDashboard_V0.3.4_RPI2 $ sudo ./qDslrDashboard.sh
pi@raspberrypi:~/qDslrDashboard_V0.3.4_RPI2 $ This application failed to start because it could not find or load the Qt platform plugin "eglfs".

Available platform plugins are: eglfs (from /home/pi/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), linuxfb (from /home/pi/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), minimal (from /home/pi/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), minimalegl (from /home/pi/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), offscreen (from /home/pi/qDslrDashboard_V0.3.4_RPI2/./Qt_Libraries/plugins/platforms), linuxfb, minimal, minimalegl, offscreen.

Reinstalling the application may fix this problem.
I still have missing files from:
ldd Qt_Libraries/plugins/platforms/libqeglfs.so
pi@raspberrypi:~/qDslrDashboard_V0.3.4_RPI2 $ ldd Qt_Libraries/plugins/platforms/libqeglfs.so
linux-vdso.so.1 (0x7ed2e000)
/usr/lib/arm-linux-gnueabihf/libarmmem.so (0x76efb000)
libQt5EglDeviceIntegration.so.5 => not found
libdl.so.2 => /lib/arm-linux-gnueabihf/libdl.so.2 (0x76ed6000)
libts-0.0.so.0 => not found
libfontconfig.so.1 => /usr/lib/arm-linux-gnueabihf/libfontconfig.so.1 (0x76ea4000)
libfreetype.so.6 => /usr/lib/arm-linux-gnueabihf/libfreetype.so.6 (0x76e0c000)
libQt5DBus.so.5 => not found
libgthread-2.0.so.0 => /usr/lib/arm-linux-gnueabihf/libgthread-2.0.so.0 (0x76df9000)
libglib-2.0.so.0 => /lib/arm-linux-gnueabihf/libglib-2.0.so.0 (0x76cf6000)
libinput.so.5 => not found
libudev.so.1 => /lib/arm-linux-gnueabihf/libudev.so.1 (0x76cd9000)
libEGL.so => /opt/vc/lib/libEGL.so (0x76caf000)
libQt5Gui.so.5 => /usr/lib/arm-linux-gnueabihf/libQt5Gui.so.5 (0x76869000)
libQt5Core.so.5 => /usr/lib/arm-linux-gnueabihf/libQt5Core.so.5 (0x76373000)
libGLESv2.so => /opt/vc/lib/libGLESv2.so (0x76356000)
libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0x7632e000)
libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0x76251000)
libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0x761d6000)
libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0x761a9000)
libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0x76068000)
/lib/ld-linux-armhf.so.3 (0x54aba000)
libexpat.so.1 => /lib/arm-linux-gnueabihf/libexpat.so.1 (0x76036000)
libz.so.1 => /lib/arm-linux-gnueabihf/libz.so.1 (0x7600e000)
libpng12.so.0 => /lib/arm-linux-gnueabihf/libpng12.so.0 (0x75fde000)
libpcre.so.3 => /lib/arm-linux-gnueabihf/libpcre.so.3 (0x75f6b000)
librt.so.1 => /lib/arm-linux-gnueabihf/librt.so.1 (0x75f54000)
libbcm_host.so => /opt/vc/lib/libbcm_host.so (0x75f36000)
libvchiq_arm.so => /opt/vc/lib/libvchiq_arm.so (0x75f27000)
libvcos.so => /opt/vc/lib/libvcos.so (0x75f15000)
And I don't know where to get/link those files!

[UPDATE]
libQt5EglDeviceIntegration.so.5
libQt5DBus.so.5

Found, read next post!

SdP
Last edited by SdP on 27 Jan 2016, 21:33, edited 1 time in total.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests